#takes three public key files and a message
#outputs a nested ciphertext (that should be piped to a file) 

import sys
import nacl.utils
from nacl.encoding import HexEncoder
from nacl.public import PublicKey, SealedBox

if len(sys.argv) < 5:
    print("need names for 3 public key files and a message")
    sys.exit()

keyFileName1 = str(sys.argv[1])
keyFileName2 = str(sys.argv[2])
keyFileName3 = str(sys.argv[3])
msgFileName = str(sys.argv[4])

#get the public keys
keyFile1 = open(keyFileName1, "r")
keyBytes1 = bytes.fromhex(keyFile1.read())
pk1 = PublicKey(keyBytes1, HexEncoder)
keyFile1.close()

keyFile2 = open(keyFileName2, "r")
keyBytes2 = bytes.fromhex(keyFile2.read())
pk2 = PublicKey(keyBytes2, HexEncoder)
keyFile2.close()

keyFile3 = open(keyFileName3, "r")
keyBytes3 = bytes.fromhex(keyFile3.read())
pk3 = PublicKey(keyBytes3, HexEncoder)
keyFile3.close()

#get the message
msgFile = open(msgFileName, "r")
msg = bytes(msgFile.read(), 'ascii')
msgFile.close()

#Pad the message up to a fixed size (1000 bytes)
msgLen = len(msg)
if msgLen > 1000:
    print("message too long!")
    sys.exit()
#TODO: pad the message

#encrypt the message for entry into the mixnet!
#TODO encrypt and put ciphertext in a variable named ct

print(ct.hex())

