#takes a name for the keys, outputs the public and private keys in different files
import sys
import nacl.utils
from nacl.encoding import HexEncoder
from nacl.public import PrivateKey

if len(sys.argv) < 2:
    print("need name for server!")
    sys.exit()

serverName = str(sys.argv[1])

sk = PrivateKey.generate()
skHex = sk.encode(HexEncoder)
pkHex = sk.public_key.encode(HexEncoder)

skFileName = serverName+"_secret.key"
pkFileName = serverName+"_public.key"
skFile = open(skFileName, "w")
pkFile = open(pkFileName, "w")
skFile.write(skHex.hex())
pkFile.write(pkHex.hex())
skFile.close()
pkFile.close()
